title: "GitLab EE vs. GitLab CE"
pdf: gitlab-ce-vs-gitlab-ee.pdf
description: "GitLab Community Edition is great for personal projects or small teams with minimal user management and workflow control needs. GitLab Enterprise Edition offers ALL the benefits of Community Edition, with added support for large companies which often have distributed teams who need advanced workflow controls and security for their professional projects, High Availability, and Premium Support."
competitor_one:
  name: 'GitLab CE'
  logo: '/images/comparison/ce-gitlab-logo.svg'
competitor_two:
  name: 'GitLab EE'
  logo: '/images/comparison/ee-gitlab-logo.svg'
last_updated: 'February 14, 2017'
feature_page: "All the features listed on"
feature_page_link_description: "the Products page"
feature_page_link_description_2: ", plus the following:"
feature_page_link: http://about.gitlab.com/products/#compare-options
features:
  - title: "File Locking"
    description: "Working with multiple people on the same file can be a risk. Conflicts when merging a non-text file are hard to overcome and will require a lot of manual work to resolve. With GitLab Enterprise Edition Premium, File Locking helps you avoid merge conflicts and better manage your binary files by preventing everyone, except you, from modifying a specific file or entire directory."
    link_description: ""
    link:
    competitor_one: false
    competitor_two: true
  - title: "Avoid Downtime"
    description: "For mission critical releases, you cannot afford downtime. With GitLab Enterprise Edition, a Service Engineer will guide you and help you identify your specific HA needs, and map out an appropriate architecture."
    link_description: ""
    link:
    competitor_one: false
    competitor_two: true
  - title: "Advanced Support"
    description: "While the best tools are intuitive, there will be a time when you'll need to troubleshoot. GitLab Enterprise Edition gives your team a single point of contact for all of your onboarding, training, upgrading, and troubleshooting needs. Purchasing Enterprise Edition means that support is there 24/7, with live upgrade assistance so you can release code faster."
    link_description: ""
    link:
    competitor_one: false
    competitor_two: true
  - title: "Advanced audit logs"
    description: "To maintain the integrity of your code, GitLab Enterprise Edition gives admins the ability to view any modifications made within the GitLab server in an advanced audit log system, so you can control, analyze and track every change."
    link_description: ""
    link:
    competitor_one: false
    competitor_two: true
  - title: "Admin Control"
    description: "GitLab Enterprise Edition gives your Admin’s the ability to automatically sync groups and manage SSH-keys, permissions, and authentication, so you can focus on building your product, not configuring your tools."
    link_description: ""
    link:
    competitor_one: false
    competitor_two: true
  - title: "Merge Request Approval"
    description: "When a project requires multiple sign-offs, GitLab Enterprise Edition enables you to make sure every merge request is approved by one or more people. Merge request approvals allow you to set the number of necessary approvals and predefine a list of approvers that will need to approve every merge request in a project, and in-turn improve your code’s quality."
    link_description: ""
    link:
    competitor_one: false
    competitor_two: true
  - title: "LDAP group sync"
    description: "GitLab Enterprise Edition gives your Admin’s the ability to automatically sync groups and manage SSH-keys, permissions, and authentication, so you can focus on building your product, not configuring your tools."
    link_description: ""
    link:
    competitor_one: false
    competitor_two: true
  - title: "Multiple Issue Boards"
    description: "Large companies often have hundreds of different projects, all with different moving parts at the same time. GitLab Enterprise Edition allows for multiple issue boards for a single project so you can to plan, organize, and visualize a workflow for a feature or product release. Multiple issue boards are particularly useful for large projects with more than one team or in situations where a repository is used to host the code of multiple products."
    link_description: "Multiple Issue Boards"
    link: https://docs.gitlab.com/ee/user/project/issue_board.html
    competitor_one: false
    competitor_two: true
  - title: "Track app deployments with Deploy Boards"
    description: "Deploy Boards offer a consolidated view of the current health and status of each CI environment running on Kubernetes, pod by pod."
    link_description: "Learn more about Deploy Boards"
    link: https://docs.gitlab.com/ee/user/project/deploy_boards.html
    competitor_one: false
    competitor_two: true
  - title: "Auditor users"
    description: "Auditor users are users who are given read-only access to all projects, groups, and other resources on the GitLab instance."
    link_description: "Auditor users"
    link: https://docs.gitlab.com/ee/administration/auditor_users.html
    competitor_one: false
    competitor_two: true
